Criteria
Retrieve the criteria settings of a logon hours setting with the specified ID.
The ID of a logon hours setting for which to retrieve the criteria settings.
Success
Logon Hours
ID of the object.
User who created the object.
User who last modified the object.
Time when the object was created.
Time when the object was last modified.
Name of the logon hours rule
Site ID
Description of the logon hours rule
Whether the logon hours rule is enabled or not
Order of the logon hours rule
Unauthorized
Not Found
GET /api/LogonHours/{id}/Criteria HTTP/1.1
Accept: */*
{
"id": 1,
"adminCreate": "text",
"adminLastMod": "text",
"timeCreate": "2026-01-01T00:00:00.000Z",
"timeLastMod": "2026-01-01T00:00:00.000Z",
"name": "text",
"siteId": 1,
"description": "text",
"enabled": true,
"order": 1,
"criteria": {
"securityPrincipals": {
"enabled": true,
"matchingMode": [
"0 = IsNotOneOfTheFollowing",
"1 = IsOneOfTheFollowing"
],
"members": [
{
"account": "text",
"type": [
"1 = User",
"2 = Group",
"3 = ForeignSecurityPrincipal",
"4 = Computer"
],
"sid": "text"
}
]
},
"gateways": {
"enabled": true,
"matchingMode": [
"0 = IsNotOneOfTheFollowing",
"1 = IsOneOfTheFollowing"
],
"members": [
{
"gatewayIP": "text"
}
]
},
"oSs": {
"enabled": true,
"matchingMode": [
"0 = IsNotOneOfTheFollowing",
"1 = IsOneOfTheFollowing"
],
"allowedOSes": {
"chrome": true,
"android": true,
"webClient": true,
"iOS": true,
"linux": true,
"mac": true,
"wyse": true,
"windows": true
}
},
"iPs": {
"enabled": true,
"matchingMode": [
"0 = IsNotOneOfTheFollowing",
"1 = IsOneOfTheFollowing"
],
"allowedIPs": {
"iPv4s": [
{
"from": "text",
"to": "text"
}
],
"iPv6s": [
{
"from": "text",
"to": "text"
}
]
}
},
"hardwareIDs": {
"enabled": true,
"matchingMode": [
"0 = IsNotOneOfTheFollowing",
"1 = IsOneOfTheFollowing"
],
"members": [
{
"hardwareID": "text"
}
]
},
"devices": {
"enabled": true,
"matchingMode": [
"0 = IsNotOneOfTheFollowing",
"1 = IsOneOfTheFollowing"
],
"members": [
{
"client": "text"
}
]
},
"themes": {
"enabled": true,
"matchingMode": [
"0 = IsNotOneOfTheFollowing",
"1 = IsOneOfTheFollowing"
],
"ids": [
1
]
}
},
"permittedHourPlan": {
"sunday": [
"1 = h00",
"2 = h01",
"4 = h02",
"8 = h03",
"16 = h04",
"32 = h05",
"64 = h06",
"128 = h07",
"256 = h08",
"512 = h09",
"1024 = h10",
"2048 = h11",
"4096 = h12",
"8192 = h13",
"16384 = h14",
"32768 = h15",
"65536 = h16",
"131072 = h17",
"262144 = h18",
"524288 = h19",
"1048576 = h20",
"2097152 = h21",
"4194304 = h22",
"8388608 = h23"
],
"monday": [
"1 = h00",
"2 = h01",
"4 = h02",
"8 = h03",
"16 = h04",
"32 = h05",
"64 = h06",
"128 = h07",
"256 = h08",
"512 = h09",
"1024 = h10",
"2048 = h11",
"4096 = h12",
"8192 = h13",
"16384 = h14",
"32768 = h15",
"65536 = h16",
"131072 = h17",
"262144 = h18",
"524288 = h19",
"1048576 = h20",
"2097152 = h21",
"4194304 = h22",
"8388608 = h23"
],
"tuesday": [
"1 = h00",
"2 = h01",
"4 = h02",
"8 = h03",
"16 = h04",
"32 = h05",
"64 = h06",
"128 = h07",
"256 = h08",
"512 = h09",
"1024 = h10",
"2048 = h11",
"4096 = h12",
"8192 = h13",
"16384 = h14",
"32768 = h15",
"65536 = h16",
"131072 = h17",
"262144 = h18",
"524288 = h19",
"1048576 = h20",
"2097152 = h21",
"4194304 = h22",
"8388608 = h23"
],
"wednesday": [
"1 = h00",
"2 = h01",
"4 = h02",
"8 = h03",
"16 = h04",
"32 = h05",
"64 = h06",
"128 = h07",
"256 = h08",
"512 = h09",
"1024 = h10",
"2048 = h11",
"4096 = h12",
"8192 = h13",
"16384 = h14",
"32768 = h15",
"65536 = h16",
"131072 = h17",
"262144 = h18",
"524288 = h19",
"1048576 = h20",
"2097152 = h21",
"4194304 = h22",
"8388608 = h23"
],
"thursday": [
"1 = h00",
"2 = h01",
"4 = h02",
"8 = h03",
"16 = h04",
"32 = h05",
"64 = h06",
"128 = h07",
"256 = h08",
"512 = h09",
"1024 = h10",
"2048 = h11",
"4096 = h12",
"8192 = h13",
"16384 = h14",
"32768 = h15",
"65536 = h16",
"131072 = h17",
"262144 = h18",
"524288 = h19",
"1048576 = h20",
"2097152 = h21",
"4194304 = h22",
"8388608 = h23"
],
"friday": [
"1 = h00",
"2 = h01",
"4 = h02",
"8 = h03",
"16 = h04",
"32 = h05",
"64 = h06",
"128 = h07",
"256 = h08",
"512 = h09",
"1024 = h10",
"2048 = h11",
"4096 = h12",
"8192 = h13",
"16384 = h14",
"32768 = h15",
"65536 = h16",
"131072 = h17",
"262144 = h18",
"524288 = h19",
"1048576 = h20",
"2097152 = h21",
"4194304 = h22",
"8388608 = h23"
],
"saturday": [
"1 = h00",
"2 = h01",
"4 = h02",
"8 = h03",
"16 = h04",
"32 = h05",
"64 = h06",
"128 = h07",
"256 = h08",
"512 = h09",
"1024 = h10",
"2048 = h11",
"4096 = h12",
"8192 = h13",
"16384 = h14",
"32768 = h15",
"65536 = h16",
"131072 = h17",
"262144 = h18",
"524288 = h19",
"1048576 = h20",
"2097152 = h21",
"4194304 = h22",
"8388608 = h23"
]
}
}Update the criteria settings of a logon hours setting with the specified ID.
The ID of a logon hours setting for which to modify the criteria settings.
Whether the Security Principals criteria is enabled or not
Matching mode type options
Whether the Gateways criteria is enabled or not
Matching mode type options
Whether the Themes criteria is enabled or not
Matching mode type options
Whether the Devices criteria is enabled or not
Matching mode type options
Whether the OSs criteria is enabled or not
Matching mode type options
Whether the IPs criteria is enabled or not
Matching mode type options
Whether the HardwareIDs criteria is enabled or not
Matching mode type options
No Content
No content
Unauthorized
Not Found
PUT /api/LogonHours/{id}/Criteria HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 722
{
"securityPrincipalsEnabled": true,
"securityPrincipalsMatchingMode": [
"0 = IsNotOneOfTheFollowing",
"1 = IsOneOfTheFollowing"
],
"gatewaysEnabled": true,
"gatewaysMatchingMode": [
"0 = IsNotOneOfTheFollowing",
"1 = IsOneOfTheFollowing"
],
"themesEnabled": true,
"themesMatchingMode": [
"0 = IsNotOneOfTheFollowing",
"1 = IsOneOfTheFollowing"
],
"devicesEnabled": true,
"devicesMatchingMode": [
"0 = IsNotOneOfTheFollowing",
"1 = IsOneOfTheFollowing"
],
"oSsEnabled": true,
"oSsMatchingMode": [
"0 = IsNotOneOfTheFollowing",
"1 = IsOneOfTheFollowing"
],
"iPsEnabled": true,
"iPsMatchingMode": [
"0 = IsNotOneOfTheFollowing",
"1 = IsOneOfTheFollowing"
],
"hardwareIDsEnabled": true,
"hardwareIDsMatchingMode": [
"0 = IsNotOneOfTheFollowing",
"1 = IsOneOfTheFollowing"
]
}No content